Permalink
Browse files

Fixed gemspec

  • Loading branch information...
1 parent e3217d4 commit a23fb0bf3f3488d2d2414da6d71f7b72bd6c269a @bobes committed Aug 2, 2011
Showing with 21 additions and 123 deletions.
  1. +21 −123 phocus.gemspec
View
@@ -1,123 +1,21 @@
---- !ruby/object:Gem::Specification
-name: phocus
-version: !ruby/object:Gem::Version
- version: "1.0"
-platform: ruby
-authors:
-- Martin Aumont
-autorequire:
-bindir: bin
-cert_chain: []
-
-date: 2009-10-05 00:00:00 -04:00
-default_executable:
-dependencies:
-- !ruby/object:Gem::Dependency
- name: minitest
- type: :development
- version_requirement:
- version_requirements: !ruby/object:Gem::Requirement
- requirements:
- - - ">="
- - !ruby/object:Gem::Version
- version: "0"
- version:
-- !ruby/object:Gem::Dependency
- name: thoughtbot-shoulda
- type: :development
- version_requirement:
- version_requirements: !ruby/object:Gem::Requirement
- requirements:
- - - ">="
- - !ruby/object:Gem::Version
- version: "0"
- version:
-- !ruby/object:Gem::Dependency
- name: citrusbyte-contest
- type: :development
- version_requirement:
- version_requirements: !ruby/object:Gem::Requirement
- requirements:
- - - ">="
- - !ruby/object:Gem::Version
- version: "0"
- version:
-- !ruby/object:Gem::Dependency
- name: jeremymcanally-context
- type: :development
- version_requirement:
- version_requirements: !ruby/object:Gem::Requirement
- requirements:
- - - ">="
- - !ruby/object:Gem::Version
- version: "0"
- version:
-- !ruby/object:Gem::Dependency
- name: expectations
- type: :development
- version_requirement:
- version_requirements: !ruby/object:Gem::Requirement
- requirements:
- - - ">="
- - !ruby/object:Gem::Version
- version: "0"
- version:
-description: Tell test/unit exactly which tests you want run. It will ignore all the other ones and let you concentrate on a few.
-email: mynyml@gmail.com
-executables: []
-
-extensions: []
-
-extra_rdoc_files: []
-
-files:
-- .gitignore
-- LICENSE
-- Manifest
-- README
-- Rakefile
-- TODO
-- VERSION
-- gem.watchr
-- lib/phocus.rb
-- lib/phocus/autodetect.rb
-- phocus.gemspec
-- specs.watchr
-- test/README
-- test/compat/test_contest.rb
-- test/compat/test_context.rb
-- test/compat/test_minitest.rb
-- test/compat/test_shoulda.rb
-- test/compat/test_test_unit.rb
-- test/test_helper.rb
-- test/test_phocus.rb
-has_rdoc: true
-homepage: http://github.com/mynyml/watchr
-licenses: []
-
-post_install_message:
-rdoc_options: []
-
-require_paths:
-- lib
-required_ruby_version: !ruby/object:Gem::Requirement
- requirements:
- - - ">="
- - !ruby/object:Gem::Version
- version: "0"
- version:
-required_rubygems_version: !ruby/object:Gem::Requirement
- requirements:
- - - ">="
- - !ruby/object:Gem::Version
- version: "0"
- version:
-requirements: []
-
-rubyforge_project: phocus
-rubygems_version: 1.3.5
-signing_key:
-specification_version: 3
-summary: Run focused tests on test/unit.
-test_files: []
-
+require 'lib/phocus'
+
+Gem::Specification.new do |s|
+ s.name = "phocus"
+ s.summary = "Focus your tests"
+ s.description = "Focus your tests."
+ s.author = "mynyml"
+ s.email = "mynyml@gmail.com"
+ s.homepage = "http://mynyml.com/ruby/focused-tests-with-phocus"
+ s.rubyforge_project = "phocus"
+ s.require_path = "lib"
+ s.bindir = "bin"
+ s.version = "1.2"
+ s.files = `git ls-files`.strip.split("\n")
+
+ s.add_development_dependency 'citrusbyte-contest'
+ s.add_development_dependency 'jeremymcanally-context'
+ s.add_development_dependency 'minitest'
+ s.add_development_dependency 'nanotest'
+ s.add_development_dependency 'thoughtbot-shoulda'
+end

0 comments on commit a23fb0b

Please sign in to comment.